Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbElementCollection

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbElementCollection

    public class JaxbElementCollection

extends Object

Field Summary
`protected JaxbAccessType` | `access`
`protected List<JaxbAssociationOverride>` | `associationOverride`
`protected List<JaxbAttributeOverride>` | `attributeOverride`
`protected JaxbCollectionTable` | `collectionTable`
`protected JaxbColumn` | `column`
`protected JaxbEnumType` | `enumerated`
`protected JaxbFetchType` | `fetch`
`protected JaxbLob` | `lob`
`protected JaxbMapKey` | `mapKey`
`protected List<JaxbAttributeOverride>` | `mapKeyAttributeOverride`
`protected JaxbMapKeyClass` | `mapKeyClass`
`protected JaxbMapKeyColumn` | `mapKeyColumn`
`protected JaxbEnumType` | `mapKeyEnumerated`
`protected List<JaxbMapKeyJoinColumn>` | `mapKeyJoinColumn`
`protected JaxbTemporalType` | `mapKeyTemporal`
`protected String` | `name`
`protected String` | `orderBy`
`protected JaxbOrderColumn` | `orderColumn`
`protected String` | `targetClass`
`protected JaxbTemporalType` | `temporal`

Constructor Summary
`JaxbElementCollection()`

Method Summary
`JaxbAccessType` | `getAccess()` Gets the value of the access property.
`List<JaxbAssociationOverride>` | `getAssociationOverride()` Gets the value of the associationOverride property.
`List<JaxbAttributeOverride>` | `getAttributeOverride()` Gets the value of the attributeOverride property.
`JaxbCollectionTable` | `getCollectionTable()` Gets the value of the collectionTable property.
`JaxbColumn` | `getColumn()` Gets the value of the column property.
`JaxbEnumType` | `getEnumerated()` Gets the value of the enumerated property.
`JaxbFetchType` | `getFetch()` Gets the value of the fetch property.
`JaxbLob` | `getLob()` Gets the value of the lob property.
`JaxbMapKey` | `getMapKey()` Gets the value of the mapKey property.
`List<JaxbAttributeOverride>` | `getMapKeyAttributeOverride()` Gets the value of the mapKeyAttributeOverride property.
`JaxbMapKeyClass` | `getMapKeyClass()` Gets the value of the mapKeyClass property.
`JaxbMapKeyColumn` | `getMapKeyColumn()` Gets the value of the mapKeyColumn property.
`JaxbEnumType` | `getMapKeyEnumerated()` Gets the value of the mapKeyEnumerated property.
`List<JaxbMapKeyJoinColumn>` | `getMapKeyJoinColumn()` Gets the value of the mapKeyJoinColumn property.
`JaxbTemporalType` | `getMapKeyTemporal()` Gets the value of the mapKeyTemporal property.
`String` | `getName()` Gets the value of the name property.
`String` | `getOrderBy()` Gets the value of the orderBy property.
`JaxbOrderColumn` | `getOrderColumn()` Gets the value of the orderColumn property.
`String` | `getTargetClass()` Gets the value of the targetClass property.
`JaxbTemporalType` | `getTemporal()` Gets the value of the temporal property.
`void` | `setAccess(JaxbAccessType value)` Sets the value of the access property.
`void` | `setCollectionTable(JaxbCollectionTable value)` Sets the value of the collectionTable property.
`void` | `setColumn(JaxbColumn value)` Sets the value of the column property.
`void` | `setEnumerated(JaxbEnumType value)` Sets the value of the enumerated property.
`void` | `setFetch(JaxbFetchType value)` Sets the value of the fetch property.
`void` | `setLob(JaxbLob value)` Sets the value of the lob property.
`void` | `setMapKey(JaxbMapKey value)` Sets the value of the mapKey property.
`void` | `setMapKeyClass(JaxbMapKeyClass value)` Sets the value of the mapKeyClass property.
`void` | `setMapKeyColumn(JaxbMapKeyColumn value)` Sets the value of the mapKeyColumn property.
`void` | `setMapKeyEnumerated(JaxbEnumType value)` Sets the value of the mapKeyEnumerated property.
`void` | `setMapKeyTemporal(JaxbTemporalType value)` Sets the value of the mapKeyTemporal property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setOrderBy(String value)` Sets the value of the orderBy property.
`void` | `setOrderColumn(JaxbOrderColumn value)` Sets the value of the orderColumn property.
`void` | `setTargetClass(String value)` Sets the value of the targetClass property.
`void` | `setTemporal(JaxbTemporalType value)` Sets the value of the temporal property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### orderBy

    protected String orderBy

### orderColumn

    protected JaxbOrderColumn orderColumn

### mapKey

    protected JaxbMapKey mapKey

### mapKeyClass

    protected JaxbMapKeyClass mapKeyClass

### mapKeyTemporal

    protected JaxbTemporalType mapKeyTemporal

### mapKeyEnumerated

    protected JaxbEnumType mapKeyEnumerated

### mapKeyAttributeOverride

    protected List<JaxbAttributeOverride> mapKeyAttributeOverride

### mapKeyColumn

    protected JaxbMapKeyColumn mapKeyColumn

### mapKeyJoinColumn

    protected List<JaxbMapKeyJoinColumn> mapKeyJoinColumn

### column

    protected JaxbColumn column

### temporal

    protected JaxbTemporalType temporal

### enumerated

    protected JaxbEnumType enumerated

### lob

    protected JaxbLob lob

### attributeOverride

    protected List<JaxbAttributeOverride> attributeOverride

### associationOverride

    protected List<JaxbAssociationOverride> associationOverride

### collectionTable

    protected JaxbCollectionTable collectionTable

### name

    protected String name

### targetClass

    protected String targetClass

### fetch

    protected JaxbFetchType fetch

### access

    protected JaxbAccessType access

Constructor Detail

### JaxbElementCollection

    public JaxbElementCollection()

Method Detail

### getOrderBy

    public String getOrderBy()

  Gets the value of the orderBy property.

  Returns:
    possible object is `String`

### setOrderBy

    public void setOrderBy(String value)

  Sets the value of the orderBy property.

  Parameters:
    `value` - allowed object is `String`

### getOrderColumn

    public JaxbOrderColumn getOrderColumn()

  Gets the value of the orderColumn property.

  Returns:
    possible object is `JaxbOrderColumn`

### setOrderColumn

    public void setOrderColumn(JaxbOrderColumn value)

  Sets the value of the orderColumn property.

  Parameters:
    `value` - allowed object is `JaxbOrderColumn`

### getMapKey

    public JaxbMapKey getMapKey()

  Gets the value of the mapKey property.

  Returns:
    possible object is `JaxbMapKey`

### setMapKey

    public void setMapKey(JaxbMapKey value)

  Sets the value of the mapKey property.

  Parameters:
    `value` - allowed object is `JaxbMapKey`

### getMapKeyClass

    public JaxbMapKeyClass getMapKeyClass()

  Gets the value of the mapKeyClass property.

  Returns:
    possible object is `JaxbMapKeyClass`

### setMapKeyClass

    public void setMapKeyClass(JaxbMapKeyClass value)

  Sets the value of the mapKeyClass property.

  Parameters:
    `value` - allowed object is `JaxbMapKeyClass`

### getMapKeyTemporal

    public JaxbTemporalType getMapKeyTemporal()

  Gets the value of the mapKeyTemporal property.

  Returns:
    possible object is `JaxbTemporalType`

### setMapKeyTemporal

    public void setMapKeyTemporal(JaxbTemporalType value)

  Sets the value of the mapKeyTemporal property.

  Parameters:
    `value` - allowed object is `JaxbTemporalType`

### getMapKeyEnumerated

    public JaxbEnumType getMapKeyEnumerated()

  Gets the value of the mapKeyEnumerated property.

  Returns:
    possible object is `JaxbEnumType`

### setMapKeyEnumerated

    public void setMapKeyEnumerated(JaxbEnumType value)

  Sets the value of the mapKeyEnumerated property.

  Parameters:
    `value` - allowed object is `JaxbEnumType`

### getMapKeyAttributeOverride

    public List<JaxbAttributeOverride> getMapKeyAttributeOverride()

  Gets the value of the mapKeyAttributeOverride property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the mapKeyAttributeOverride property.

  For example, to add a new item, do as follows:

          getMapKeyAttributeOverride().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbAttributeOverride`

### getMapKeyColumn

    public JaxbMapKeyColumn getMapKeyColumn()

  Gets the value of the mapKeyColumn property.

  Returns:
    possible object is `JaxbMapKeyColumn`

### setMapKeyColumn

    public void setMapKeyColumn(JaxbMapKeyColumn value)

  Sets the value of the mapKeyColumn property.

  Parameters:
    `value` - allowed object is `JaxbMapKeyColumn`

### getMapKeyJoinColumn

    public List<JaxbMapKeyJoinColumn> getMapKeyJoinColumn()

  Gets the value of the mapKeyJoinColumn property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the mapKeyJoinColumn property.

  For example, to add a new item, do as follows:

          getMapKeyJoinColumn().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbMapKeyJoinColumn`

### getColumn

    public JaxbColumn getColumn()

  Gets the value of the column property.

  Returns:
    possible object is `JaxbColumn`

### setColumn

    public void setColumn(JaxbColumn value)

  Sets the value of the column property.

  Parameters:
    `value` - allowed object is `JaxbColumn`

### getTemporal

    public JaxbTemporalType getTemporal()

  Gets the value of the temporal property.

  Returns:
    possible object is `JaxbTemporalType`

### setTemporal

    public void setTemporal(JaxbTemporalType value)

  Sets the value of the temporal property.

  Parameters:
    `value` - allowed object is `JaxbTemporalType`

### getEnumerated

    public JaxbEnumType getEnumerated()

  Gets the value of the enumerated property.

  Returns:
    possible object is `JaxbEnumType`

### setEnumerated

    public void setEnumerated(JaxbEnumType value)

  Sets the value of the enumerated property.

  Parameters:
    `value` - allowed object is `JaxbEnumType`

### getLob

    public JaxbLob getLob()

  Gets the value of the lob property.

  Returns:
    possible object is `JaxbLob`

### setLob

    public void setLob(JaxbLob value)

  Sets the value of the lob property.

  Parameters:
    `value` - allowed object is `JaxbLob`

### getAttributeOverride

    public List<JaxbAttributeOverride> getAttributeOverride()

  Gets the value of the attributeOverride property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributeOverride property.

  For example, to add a new item, do as follows:

          getAttributeOverride().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbAttributeOverride`

### getAssociationOverride

    public List<JaxbAssociationOverride> getAssociationOverride()

  Gets the value of the associationOverride property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the associationOverride property.

  For example, to add a new item, do as follows:

          getAssociationOverride().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbAssociationOverride`

### getCollectionTable

    public JaxbCollectionTable getCollectionTable()

  Gets the value of the collectionTable property.

  Returns:
    possible object is `JaxbCollectionTable`

### setCollectionTable

    public void setCollectionTable(JaxbCollectionTable value)

  Sets the value of the collectionTable property.

  Parameters:
    `value` - allowed object is `JaxbCollectionTable`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getTargetClass

    public String getTargetClass()

  Gets the value of the targetClass property.

  Returns:
    possible object is `String`

### setTargetClass

    public void setTargetClass(String value)

  Sets the value of the targetClass property.

  Parameters:
    `value` - allowed object is `String`

### getFetch

    public JaxbFetchType getFetch()

  Gets the value of the fetch property.

  Returns:
    possible object is `JaxbFetchType`

### setFetch

    public void setFetch(JaxbFetchType value)

  Sets the value of the fetch property.

  Parameters:
    `value` - allowed object is `JaxbFetchType`

### getAccess

    public JaxbAccessType getAccess()

  Gets the value of the access property.

  Returns:
    possible object is `JaxbAccessType`

### setAccess

    public void setAccess(JaxbAccessType value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `JaxbAccessType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.